aboutsummaryrefslogtreecommitdiffstats
path: root/configure.ac
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2017-11-24 12:00:35 +0100
committerPau Espin Pedrol <pespin@sysmocom.de>2017-11-24 12:55:15 +0100
commit7e78681f0f740bd68ed5255b506a1efa08a231b1 (patch)
tree83cfe47ed79faa6e06765fb7dbf6a37b4555a706 /configure.ac
parent434187533bd1357ea8f834b10016499aa423082a (diff)
tests: Fix selection of python version
According to documentation (and personal experience), AM_PATH_PYTHON selects the highest version of python, no matter if major version is different, which means if both python2 and 3 are available, 3 will be chosen an PYTHON will point to "/.../python" which is python3. Apparently, the macro cannot be easily used to pick highest python2 version. As {vty,ctrl}_test_runner.py require python2 and are incompatible with python3, let's instead rely on the system having a "python2" binary available, which is the case in most distros. Change-Id: Id22e157d1bee453babdfa7ed04c506390b0f17bb
Diffstat (limited to 'configure.ac')
-rw-r--r--configure.ac5
1 files changed, 4 insertions, 1 deletions
diff --git a/configure.ac b/configure.ac
index a66ed26..b7dd016 100644
--- a/configure.ac
+++ b/configure.ac
@@ -124,7 +124,10 @@ AC_ARG_ENABLE([external_tests],
[Include the VTY/CTRL tests in make check [default=no]]),
[enable_ext_tests="$enableval"],[enable_ext_tests="no"])
if test "x$enable_ext_tests" = "xyes" ; then
-AM_PATH_PYTHON
+ AC_CHECK_PROG(PYTHON2_AVAIL,python2,yes)
+ if test "x$PYTHON2_AVAIL" != "xyes" ; then
+ AC_MSG_ERROR([Please install python2 to run the VTY/CTRL tests.])
+ fi
AC_CHECK_PROG(OSMOTESTEXT_CHECK,osmotestvty.py,yes)
if test "x$OSMOTESTEXT_CHECK" != "xyes" ; then
AC_MSG_ERROR([Please install git://osmocom.org/python/osmo-python-tests to run the VTY/CTRL tests.])